WPXTable Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPXTable Class Reference

`#include <WPXTable.h>`

## Public Member Functions
| WPXTable ()
| ~WPXTable ()
void | insertRow ()
void | insertCell (unsigned char colSpan, unsigned char rowSpan, unsigned char borderBits)
const WPXTableCell * | getCell (size_t i, size_t j)
void | makeBordersConsistent ()
unsigned | getRowCount () const
unsigned | getColumnCount (unsigned row) const
bool | isEmpty () const

## Private Member Functions
void | _makeCellBordersConsistent (WPXTableCell &cell, std::vector< WPXTableCell * > &adjacentCells, int adjacencyBitCell, int adjacencyBitBoundCells)
std::vector< WPXTableCell * > | _getCellsBottomAdjacent (int i, int j)
std::vector< WPXTableCell * > | _getCellsRightAdjacent (int i, int j)

## Private Attributes
std::vector< std::vector< WPXTableCell > > | m_tableRows

## Constructor & Destructor Documentation

## ◆ WPXTable()

WPXTable::WPXTable | ( |  | ) |
| inline

## ◆ ~WPXTable()

WPXTable::~WPXTable | ( |  | ) |

## Member Function Documentation

## ◆ _getCellsBottomAdjacent()

std::vector< WPXTableCell * > WPXTable::_getCellsBottomAdjacent | ( | int | i,
|  | int | j )
| private

Referenced by makeBordersConsistent().

## ◆ _getCellsRightAdjacent()

std::vector< WPXTableCell * > WPXTable::_getCellsRightAdjacent | ( | int | i,
|  | int | j )
| private

Referenced by makeBordersConsistent().

## ◆ _makeCellBordersConsistent()

void WPXTable::_makeCellBordersConsistent | ( | WPXTableCell & | cell,
|  | std::vector< WPXTableCell * > & | adjacentCells,
|  | int | adjacencyBitCell,
|  | int | adjacencyBitBoundCells )
| private

Referenced by makeBordersConsistent().

## ◆ getCell()

const WPXTableCell * WPXTable::getCell | ( | size_t | i,
|  | size_t | j )
| inline

## ◆ getColumnCount()

unsigned WPXTable::getColumnCount | ( | unsigned | row | ) | const
| inline

## ◆ getRowCount()

unsigned WPXTable::getRowCount | ( |  | ) | const
| inline

## ◆ insertCell()

void WPXTable::insertCell | ( | unsigned char | colSpan,
|  | unsigned char | rowSpan,
|  | unsigned char | borderBits )

## ◆ insertRow()

void WPXTable::insertRow | ( |  | ) |

## ◆ isEmpty()

bool WPXTable::isEmpty | ( |  | ) | const
| inline

## ◆ makeBordersConsistent()

void WPXTable::makeBordersConsistent | ( |  | ) |

## Member Data Documentation

## ◆ m_tableRows

std::vector< std::vector<WPXTableCell> > WPXTable::m_tableRows
| private

Referenced by _getCellsBottomAdjacent(), _getCellsRightAdjacent(), getCell(), getColumnCount(), getRowCount(), insertCell(), insertRow(), isEmpty(), and makeBordersConsistent().

The documentation for this class was generated from the following files:

- WPXTable.h
- WPXTable.cpp